OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields | Private Attributes
GenericScopeResolver Struct Reference

Scope resolver for generic objects and properties. More...

Inheritance diagram for GenericScopeResolver:

## Public Member Functions
| GenericScopeResolver (ResolverObject &ro, bool ai_callback)
| Generic scope resolver.
uint32 | GetVariable (byte variable, uint32 parameter, bool *available) const
| Get a variable value.
Public Member Functions inherited from ScopeResolver
| ScopeResolver (ResolverObject &ro)
virtual uint32 | GetRandomBits () const
| Get a few random bits.
virtual uint32 | GetTriggers () const
| Get the triggers.
virtual void | StorePSA (uint reg, int32 value)
| Store a value into the persistent storage area (PSA).

## Data Fields
CargoID | cargo_type
uint8 | default_selection
uint8 | src_industry
| Source industry substitute type. 0xFF for "town", 0xFE for "unknown".
uint8 | dst_industry
| Destination industry substitute type. 0xFF for "town", 0xFE for "unknown".
uint8 | distance
AIConstructionEvent | event
uint8 | count
uint8 | station_size
Data Fields inherited from ScopeResolver
ResolverObject & | ro
| Surrounding resolver object.

## Private Attributes
bool | ai_callback
| Callback comes from the AI.

## Detailed Description

Scope resolver for generic objects and properties.

Definition at line 24 of file newgrf_generic.cpp.

## Constructor & Destructor Documentation

GenericScopeResolver::GenericScopeResolver | ( | ResolverObject & | ro,
|  | bool | ai_callback
| ) |  |

Generic scope resolver.

Parameters

  ro | Surrounding resolver.
  ai_callback | Callback comes from the AI.

Definition at line 153 of file newgrf_generic.cpp.

References ai_callback, dst_industry, and src_industry.

## Member Function Documentation

uint32 GenericScopeResolver::GetVariable | ( | byte | variable,
|  | uint32 | parameter,
|  | bool * | available
| ) |  | const
| virtual

Get a variable value.

Default implementation has no available variables.

Parameters

  | variable | Variable to read
  | parameter | Parameter for 60+x variables
  [out] | available | Set to false, in case the variable does not exist.

Returns
  Value

Reimplemented from ScopeResolver.

Definition at line 105 of file newgrf_generic.cpp.

References ai_callback, CargoSpec::bitnum, GRFFile::cargo_map, DEBUG, dst_industry, CargoSpec::Get(), ResolverObject::grffile, ScopeResolver::ro, and src_industry.

The documentation for this struct was generated from the following file:

- src/newgrf_generic.cpp